#!/bin/sh

# Our one non-success exit code.
EXIT_BAD_ARGS=1

if [ $# -lt 1 ]; then
    echo "Usage: $0 <ip address>"
    echo ''
    echo '  <ip address> the IP to check against a bunch of blacklists.'
    echo ''
    exit "${EXIT_BAD_ARGS}"
else
    IP_ADDR="${1}"
fi

perl ./check_rbl -H "${IP_ADDR}" \
    -t 60 \
    -c 1 \
    -w 1 \
    -v \
    -s 0spam-n.fusionzero.com \
    -s 0spam.fusionzero.com \
    -s 0spamtrust.fusionzero.com \
    -s 0spamurl.fusionzero.com \
    -s abuse.spfbl.net \
    -s access.redhawk.org \
    -s all.s5h.net \
    -s all.spamrats.com \
    -s aspews.ext.sorbs.net \
    -s auth.spamrats.com \
    -s b.barracudacentral.org \
    -s backscatter.spameatingmonkey.net \
    -s bb.barracudacentral.org \
    -s bl.0spam.org \
    -s bl.blocklist.de \
    -s bl.deadbeef.com \
    -s bl.fmb.la \
    -s bl.konstant.no \
    -s bl.mailspike.net \
    -s bl.nordspam.com \
    -s bl.nosolicitado.org \
    -s bl.scientificspam.net \
    -s bl.score.senderscore.com \
    -s bl.spamcop.net \
    -s bl.spameatingmonkey.net \
    -s bl.suomispam.net \
    -s bl.technovision.dk \
    -s bl.worst.nosolicitado.org \
    -s black.dnsbl.brukalai.lt \
    -s black.junkemailfilter.com \
    -s black.uribl.com \
    -s blackholes.five-ten-sg.com \
    -s blacklist.sci.kun.nl \
    -s blacklist.woody.ch \
    -s block.dnsbl.sorbs.net \
    -s bsb.spamlookup.net \
    -s cbl.abuseat.org \
    -s cidr.bl.mcafee.com \
    -s combined.abuse.ch \
    -s combined.rbl.msrbl.net \
    -s db.wpbl.info \
    -s dnsbl-1.uceprotect.net \
    -s dnsbl-2.uceprotect.net \
    -s dnsbl-3.uceprotect.net \
    -s dnsbl.antispam.or.id \
    -s dnsbl.beetjevreemd.nl \
    -s dnsbl.darklist.de \
    -s dnsbl.dronebl.org \
    -s dnsbl.isx.fr \
    -s dnsbl.justspam.org \
    -s dnsbl.kempt.net \
    -s dnsbl.madavi.de \
    -s dnsbl.sorbs.net \
    -s dnsbl.spfbl.net \
    -s dnsbl.zapbl.net \
    -s dnsblchile.org \
    -s dnswl.spfbl.net \
    -s drone.abuse.ch \
    -s dsn.rfc-ignorant.org \
    -s duinv.aupads.org \
    -s dul.dnsbl.sorbs.net \
    -s dul.pacifier.net \
    -s dyna.spamrats.com \
    -s escalations.dnsbl.sorbs.net \
    -s forbidden.icm.edu.pl \
    -s free.v4bl.org \
    -s gl.suomispam.net \
    -s grey.uribl.com \
    -s hil.habeas.com \
    -s http.dnsbl.sorbs.net \
    -s images.rbl.msrbl.net \
    -s ip4.bl.zenrbl.pl \
    -s iprbl.mailcleaner.net \
    -s ips.backscatterer.org \
    -s ips.whitelisted.org \
    -s ix.dnsbl.manitu.net \
    -s korea.services.net \
    -s krn.korumail.com \
    -s l1.spews.dnsbl.sorbs.net \
    -s l2.bbfh.ext.sorbs.net \
    -s l2.spews.dnsbl.sorbs.net \
    -s light.dnsbl.brukalai.lt \
    -s list.bbfh.org \
    -s list.dnswl.org \
    -s mail-abuse.blacklist.jippg.org \
    -s misc.dnsbl.sorbs.net \
    -s mtawlrev.dnsbl.rediris.es \
    -s multi.surbl.org \
    -s multi.uribl.com \
    -s nbl.0spam.org \
    -s netblockbl.spamgrouper.to \
    -s netscan.rbl.blockedservers.com \
    -s new.spam.dnsbl.sorbs.net \
    -s niprbl.mailcleaner.net \
    -s noptr.spamrats.com \
    -s ohps.dnsbl.net.au \
    -s old.spam.dnsbl.sorbs.net \
    -s omrs.dnsbl.net.au \
    -s origin.asn.spameatingmonkey.net \
    -s orvedb.aupads.org \
    -s osps.dnsbl.net.au \
    -s osrs.dnsbl.net.au \
    -s owfs.dnsbl.net.au \
    -s owps.dnsbl.net.au \
    -s pbl.spamhaus.org \
    -s phishing.rbl.msrbl.net \
    -s plus.bondedsender.org \
    -s postmaster.rfc-ignorant.org \
    -s probes.dnsbl.net.au \
    -s problems.dnsbl.sorbs.net \
    -s proxies.dnsbl.sorbs.net \
    -s proxy.bl.gweep.ca \
    -s proxy.block.transip.nl \
    -s psbl.surriel.com \
    -s query.bondedsender.org \
    -s rbl.abuse.ro \
    -s rbl.blockedservers.com \
    -s rbl.inter.net \
    -s rbl.interserver.net \
    -s rbl.ircbl.org \
    -s rbl.lugh.ch \
    -s rbl.metunet.com \
    -s rbl.rbldns.ru \
    -s rbl.schulte.org \
    -s rbl.spamlab.com \
    -s rdts.dnsbl.net.au \
    -s recent.spam.dnsbl.sorbs.net \
    -s red.uribl.com \
    -s relays.bl.gweep.ca \
    -s relays.bl.kunden.de \
    -s relays.dnsbl.sorbs.net \
    -s relays.nether.net \
    -s rep.mailspike.net \
    -s reputation-ip.rbl.scrolloutf1.com \
    -s reputation-ns.rbl.scrolloutf1.com \
    -s residential.block.transip.nl \
    -s ricn.dnsbl.net.au \
    -s rmst.dnsbl.net.au \
    -s safe.dnsbl.sorbs.net \
    -s sbl-xbl.spamhaus.org \
    -s sbl.spamdown.org \
    -s sbl.spamhaus.org \
    -s score.spfbl.net \
    -s singular.ttk.pte.hu \
    -s smtp.dnsbl.sorbs.net \
    -s socks.dnsbl.sorbs.net \
    -s spam.abuse.ch \
    -s spam.dnsbl.anonmails.de \
    -s spam.dnsbl.sorbs.net \
    -s spam.pedantic.org \
    -s spam.rbl.blockedservers.com \
    -s spam.rbl.msrbl.net \
    -s spam.spamrats.com \
    -s spambot.bls.digibase.ca \
    -s spamguard.leadmon.net \
    -s spamlist.or.kr \
    -s spamrbl.imp.ch \
    -s spamsources.fabel.dk \
    -s spamtrap.drbl.drand.net \
    -s swl.spamhaus.org \
    -s t3direct.dnsbl.net.au \
    -s tor.dan.me.uk \
    -s torexit.dan.me.uk \
    -s tr.countries.nerd.dk \
    -s truncate.gbudb.net \
    -s ubl.lashback.com \
    -s ubl.unsubscore.com \
    -s unsure.nether.net \
    -s url.0spam.org \
    -s virbl.bit.nl \
    -s virus.rbl.msrbl.net \
    -s wadb.isipp.com \
    -s web.dnsbl.sorbs.net \
    -s web.rbl.msrbl.net \
    -s white.dnsbl.brukalai.lt \
    -s white.uribl.com \
    -s whois.rfc-ignorant.org \
    -s wl.mailspike.net \
    -s wormrbl.imp.ch \
    -s xbl.spamhaus.org \
    -s z.mailspike.net \
    -s zen.spamhaus.org \
    -s zombie.dnsbl.sorbs.net
